Bug 46752 - Traceback when setup script of Docker App is defined but not present
Traceback when setup script of Docker App is defined but not present
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: App Center
UCS 4.3
Other Linux
: P5 normal (vote)
: UCS 4.3-0-errata
Assigned To: Dirk Wiesenthal
Felix Botner
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-03-28 12:40 CEST by Dirk Wiesenthal
Modified: 2018-04-18 13:52 CEST (History)
0 users

See Also:
What kind of report is it?: Bug Report
What type of bug is this?: 6: Setup Problem: Issue for the setup process
Who will be affected by this bug?: 1: Will affect a very few installed domains
How will those affected feel about the bug?: 3: A User would likely not purchase the product
User Pain: 0.103
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dirk Wiesenthal univentionstaff 2018-03-28 12:40:46 CEST
Traceback (most recent call last):
  File "/usr/lib/pymodules/python2.7/univention/appcenter/actions/__init__.py", line 226, in call_with_namespace
    result = self.main(namespace)
  File "/usr/lib/pymodules/python2.7/univention/appcenter/actions/install.py", line 73, in main
    return self.do_it(args)
  File "/usr/lib/pymodules/python2.7/univention/appcenter/actions/install_base.py", line 105, in do_it
    self._do_it(app, args)
  File "/usr/lib/pymodules/python2.7/univention/appcenter/actions/docker_install.py", line 63, in _do_it
    ret = super(Install, self)._do_it(app, args)
  File "/usr/lib/pymodules/python2.7/univention/appcenter/actions/install.py", line 90, in _do_it
    if self._install_app(app, args):
  File "/usr/lib/pymodules/python2.7/univention/appcenter/actions/docker_install.py", line 59, in _install_app
    self._setup_docker_image(app, args)
  File "/usr/lib/pymodules/python2.7/univention/appcenter/actions/docker_install.py", line 80, in _setup_docker_image
    raise InstallSetupFailed(code=process.returncode, stderr=list(logger.stderr()))
AttributeError: 'NoneType' object has no attribute 'returncode'
Comment 1 Dirk Wiesenthal univentionstaff 2018-03-28 12:41:28 CEST
Found in our tests
Comment 2 Dirk Wiesenthal univentionstaff 2018-04-11 12:57:47 CEST
Fixed in
  univention-appcenter 7.0.1-36A~4.3.0.201804102134
Comment 3 Felix Botner univentionstaff 2018-04-12 16:17:31 CEST
OK - univention-appcenter
OK - YAML
Comment 4 Arvid Requate univentionstaff 2018-04-18 13:52:01 CEST
<http://errata.software-univention.de/ucs/4.3/16.html>